Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000719FirmwareAnalogue Inputspublic2012-09-25 22:312012-11-25 16:25
ReporterFred 
Assigned ToFred 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.2.0-SNAPSHOT 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000719: Only the first bank of ADCs are read.
DescriptionUnsure why, likely something stupid. Needs to be fixed so that the pillow hugger can have his MAF readings. And me too. On the secret "project unlucky" :-)
TagsNo tags attached.
FirmwareVersion
Issue TypeBug
Risk of Breakagelow
Attached Files

- Relationships

-  Notes
User avatar (0002405)
Fred (administrator)
2012-11-18 22:46

Maybe you can figure it out.
User avatar (0002406)
sean94z (reporter)
2012-11-18 23:05

pillow huggers are easier to reason with than tree huggers lol :) I'll have a play while on the air plane, hopefully they don’t arrest me for having a TA card setup on the tray table.
User avatar (0002407)
Fred (administrator)
2012-11-18 23:14

Didn't know you were flying! Leave me an IRC PM about where, curious :-) Good luck debugging it. I did have a brief look and saw nothing wrong. Make sure you have the MCU manual, you'll probably need it.
User avatar (0002425)
sean94z (reporter)
2012-11-22 19:02

commit 2f7e2c5b4bf31067cc6b9da2896de0049bc75817
Author: Sean Keys <skeys@ipdatasys.com>
Date: Thu Nov 22 11:55:44 2012 -0700

    Fixed Freds copy and paste bug, the second ADC module will now do conversions.


Can you cherry pick that out ?

On a different issue I did dig up the old scripts that created the meta-package if you still want a hand. I needed to get away from all the activities for a bit lol. c ya
User avatar (0002426)
Fred (administrator)
2012-11-22 19:33

Son of a bitch! Second time caught out. Last time was by Ben! :-) Glad you solved it. Will include and update this once included/pushed.
User avatar (0002428)
Fred (administrator)
2012-11-25 16:25

Fixed (by Sean!) in 5b6ac8476ce5c7e658c63a7b1bac6041eeee2b3a


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker